/*
Copyright 2004 Cesar Tardaguila & Javier Tardaguila

This file is part of Drops.

Drops is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Srops is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Drops; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/**
   ActionScript Class File -- Created with SAPIEN Technologies PrimalScript 3.0
   
   @class  
   @package
   @author Cesar Tard�guila
   @codehint 
   @example 
   @tooltip 
*/

class net.designnation.data.Node
{
	private var nextVal: Node;
	private var valueVal: Object;
	
	function Node( value: Object, next: Node )
	{
		this.nextVal = next;
		this.valueVal = value;		
	}
	
	public function get next( ): Node
	{
		return nextVal;
	}
	
	public function set next( node: Node )
	{
		nextVal= node;
	}
	
	public function get value( ): Object
	{
		return this.valueVal;
	}
	
	public function set value( val: Object )
	{
		this.valueVal= val;
	}
	
	public function toString( ): String
	{
		var returnStr = "";
		for (var k in this){
			returnStr+= k + " == " + this[k];
		}
		return returnStr;
	}

}